from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import String, Int

Gcloud_Config_Set_V0_1_0 = CommandToolBuilder(tool="gcloud_config_set", base_command=["gcloud", "config", "set"], inputs=[ToolInput(tag="in_value", input_type=String(), position=0, doc=InputDocumentation(doc="The value to be set.")), ToolInput(tag="in_core", input_type=String(), position=0, doc=InputDocumentation(doc="account\nThe account gcloud should use for authentication. You can run\ngcloud auth list to see the accounts you currently have available.")), ToolInput(tag="in_custom_ca_certs_file", input_type=String(), position=1, doc=InputDocumentation(doc="Absolute path to a custom CA cert file.")), ToolInput(tag="in_default_regional_backend_service", input_type=String(), position=2, doc=InputDocumentation(doc="If True, backend services in gcloud compute backend-services will\nbe regional by default. The --global flag will be required for\nglobal backend services.")), ToolInput(tag="in_disable_color", input_type=String(), position=3, doc=InputDocumentation(doc="If True, color will not be used when printing messages in the")), ToolInput(tag="in_terminal_dot", input_type=String(), position=4, doc=InputDocumentation(doc="disable_prompts")), ToolInput(tag="in_one_dot", input_type=Int(), position=0, doc=InputDocumentation(doc="disable_usage_reporting")), ToolInput(tag="in_log_http", input_type=String(), position=0, doc=InputDocumentation(doc="If True, log HTTP requests and responses to the logs. You may need\nto adjust your verbosity setting if you want to see in the\nterminal, otherwise it is available in the log files.")), ToolInput(tag="in_max_log_days", input_type=String(), position=1, doc=InputDocumentation(doc="Maximum number of days to retain log files before deleting. If set\nto 0, turns off log garbage collection and does not delete log\nfiles. If unset, defaults to 30.")), ToolInput(tag="in_pass_credentials_to_gs_util", input_type=String(), position=2, doc=InputDocumentation(doc="If True, pass the configured Cloud SDK authentication to gsutil.")), ToolInput(tag="in_project", input_type=String(), position=3, doc=InputDocumentation(doc="The project id of the Cloud Platform project to operate on by\ndefault. This can be overridden by using the global --project flag.")), ToolInput(tag="in_show_structured_logs", input_type=String(), position=4, doc=InputDocumentation(doc="Controls when JSON structured log messages for the current\nverbosity and above will be written to standard error. The default\nis text format when disabled. Valid values are: never - Log\nmessages as text, always - Always log messages as JSON, log - Only\nlog messages as JSON if stderr is a file, terminal - Only log\nmessages as JSON if stderr is a terminal. If unset default is\nnever.")), ToolInput(tag="in_trace_token", input_type=String(), position=5, doc=InputDocumentation(doc="Token used to route traces of service requests for investigation of\nissues. This token will be provided by Google support.")), ToolInput(tag="in_user_output_enabled", input_type=String(), position=6, doc=InputDocumentation(doc="If False, messages to the user and command output on both standard\noutput and standard error will be suppressed.")), ToolInput(tag="in_verbosity", input_type=String(), position=7, doc=InputDocumentation(doc="The default logging verbosity for gcloud commands. This is the\nequivalent of using the global --verbosity flag.")), ToolInput(tag="in_app", input_type=String(), position=8, doc=InputDocumentation(doc="cloud_build_timeout\nThe timeout, in seconds, to wait for Docker builds to complete\nduring deployments. All Docker builds now use the Container Builder\nAPI.")), ToolInput(tag="in_promote_by_default", input_type=String(), position=9, doc=InputDocumentation(doc="If True, when deploying a new version of a service, that version\nwill be promoted to receive all traffic for the service. The flag\ncan be overridden via the --promote-by-default or\n--no-promote-by-default flags.")), ToolInput(tag="in_stop_previous_version", input_type=String(), position=10, doc=InputDocumentation(doc="If True, when deploying a new version of a service, the previously\ndeployed version is stopped. If False, older versions must be\nstopped manually.")), ToolInput(tag="in_use_runtime_builders", input_type=String(), position=11, doc=InputDocumentation(doc="If set, opt in/out to a new code path for building applications\nusing pre-fabricated runtimes that can be updated independently of\nclient tooling. (If not set, will use the default path for each\nruntime.)")), ToolInput(tag="in_auth", input_type=String(), position=12, doc=InputDocumentation(doc="disable_credentials\nIf true, gcloud will not attempt to load any credentials or\nauthenticate any requests. This is useful if you are behind a proxy\nthat adds authentication to your requests.")), ToolInput(tag="in_component_manager", input_type=String(), position=13, doc=InputDocumentation(doc="additional_repositories\nA comma separated list of additional repositories to check for\ncomponents. This property is automatically managed by the gcloud\ncomponents repositories commands.")), ToolInput(tag="in_disable_update_check", input_type=String(), position=14, doc=InputDocumentation(doc="If True, the Cloud SDK will not automatically check for updates.")), ToolInput(tag="in_compute", input_type=String(), position=15, doc=InputDocumentation(doc="region\nThe default region to use when working with regional Compute Engine\nresources. When a --region flag is required but not provided, the\ncommand will fall back to this value, if set. To see valid choices,\nrun gcloud compute regions list.")), ToolInput(tag="in_zone", input_type=String(), position=16, doc=InputDocumentation(doc="The default zone to use when working with zonal Compute Engine\nresources. When a --zone flag is required but not provided, the\ncommand will fall back to this value, if set. To see valid choices,\nrun gcloud compute zones list.")), ToolInput(tag="in_container", input_type=String(), position=17, doc=InputDocumentation(doc="build_timeout\nThe timeout, in seconds, to wait for container builds to complete.")), ToolInput(tag="in_cluster", input_type=String(), position=18, doc=InputDocumentation(doc="The name of the cluster to use by default when working with\nContainer Engine.")), ToolInput(tag="in_use_application_default_credentials", input_type=String(), position=19, doc=InputDocumentation(doc="Use application default credentials to authenticate to the cluster\nAPI server.")), ToolInput(tag="in_use_client_certificate", input_type=String(), position=20, doc=InputDocumentation(doc="Use the cluster's client certificate to authenticate to the cluster\nAPI server.")), ToolInput(tag="in_data_proc", input_type=String(), position=21, doc=InputDocumentation(doc="region\nSpecifies the Cloud Dataproc region to use. Each Cloud Dataproc\nregion constitutes an independent resource namespace constrained to\ndeploying instances into Google Compute Engine zones inside the\nregion. The default value of 'global' is a special multi-region\nnamespace which is capable of deploying instances into all Google\nCompute Engine zones globally, and is disjoint from other Cloud\nDataproc regions.")), ToolInput(tag="in_functions", input_type=String(), position=22, doc=InputDocumentation(doc="region\nThe default region to use when working with Google Compute\nfunctions resources. When a --region flag is required but not\nprovided, the command will fall back to this value, if set. To see\nvalid choices, run gcloud functions regions list.")), ToolInput(tag="in_ml_engine", input_type=String(), position=23, doc=InputDocumentation(doc="polling_interval\nThe interval (in seconds) at which to poll logs from your Cloud ML\nEngine jobs. Note that making it much faster than the default (60)\nwill quickly use all of your quota.")), ToolInput(tag="in_proxy", input_type=String(), position=24, doc=InputDocumentation(doc="address\nThe hostname or IP address of your proxy server.")), ToolInput(tag="in_password", input_type=String(), position=25, doc=InputDocumentation(doc="If your proxy requires authentication, the password to use when")), ToolInput(tag="in_port", input_type=String(), position=26, doc=InputDocumentation(doc="port")), ToolInput(tag="in_type", input_type=String(), position=0, doc=InputDocumentation(doc="The type of proxy you are using. Supported proxy types are: [http,\nhttp_no_tunnel, socks4, socks5].")), ToolInput(tag="in_username", input_type=String(), position=1, doc=InputDocumentation(doc="If your proxy requires authentication, the username to use when")), ToolInput(tag="in_spanner", input_type=String(), position=2, doc=InputDocumentation(doc="spanner")), ToolInput(tag="in_instance", input_type=String(), position=3, doc=InputDocumentation(doc="The default instance to use when working with Cloud Spanner\nresources. When an instance is required but not provided by a flag,\nthe command will fall back to this value, if set."))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Gcloud_Config_Set_V0_1_0().translate("wdl", allow_empty_container=True)

